#include<stdio.h>
int main(){
	
	int n,k,karta,max=0;
	
	scanf("%d %d",&n,&k);
	
	int i,np[100],pi;
	
	for(i=0;i<n;i++){
		
		scanf("%d",&np[i]);	
		
		if(np[i] == k) karta = i+1;
		else if(i>max) max=i;
		if(np[i]==max) karta = 0;
	}   
	
	printf("%d",np[karta]);
	
	return 0;
}